Skip to main content
POST
/
v1
/
challenges
/
{challengeId}
/
withdraw
Withdraw a challenge
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://sandbox.api.enfinitos.com/v1/challenges/{challengeId}/withdraw', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "ok": true,
  "data": {
    "challenge": {
      "id": "<string>",
      "rightId": "<string>",
      "challengerOrgId": "<string>",
      "reason": "<string>",
      "resolvedAt": "2023-11-07T05:31:56Z",
      "resolution": "<string>",
      "createdAt": "2023-11-07T05:31:56Z"
    }
  },
  "contractVersion": "<string>"
}

Authorizations

Authorization
string
header
required

API key sent as Authorization: Bearer <api-key>.

Path Parameters

challengeId
string
required

Challenge id.

Response

The withdrawn challenge.

ok
boolean
required
data
object
required

Route-specific payload. Operation responses refine this.

contractVersion
string
required
Allowed value: "v1.0"